
QGIS Application - Bug report #14682

Unable to run Python code, pressing Browse causes error (MAcOS El Capitain, QGIS 2.14.0 Essen)

2016-04-14 03:21 AM - Benjamin Warr

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.14.0 Regression?: No

Operating System: Mac OS Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 22646

Description

Hi, I am unable to run Python codes as when I press "Browse" the following appears (see below). 

This happens in all QGIS modules. I am pulling my hair out. Other fixes have not worked.

Thanks

Benjamin

An error has occurred while executing Python code:

TypeError: QgsEncodingFileDialog(QWidget parent=None, QString caption=QString(), QString directory=QString(), QString

filter=QString(), QString encoding=QString()): argument 3 has unexpected type 'QPyNullVariant' 

Traceback (most recent call last):

  File "/Applications/QGIS.app/Contents/Resources/python/plugins/fTools/tools/doGeoprocessing.py", line 125, in outFile

    (self.shapefileName, self.encoding) = ftools_utils.saveDialog(self)

  File "/Applications/QGIS.app/Contents/Resources/python/plugins/fTools/tools/ftools_utils.py", line 327, in saveDialog

    fileDialog = QgsEncodingFileDialog(parent, QCoreApplication.translate("fTools", "Save output shapefile"), dirName, filtering, encode)

TypeError: QgsEncodingFileDialog(QWidget parent=None, QString caption=QString(), QString directory=QString(), QString

filter=QString(), QString encoding=QString()): argument 3 has unexpected type 'QPyNullVariant'

Python version: 2.7.10 (default, Aug 22 2015, 20:33:39) [GCC 4.2.1 Compatible Apple LLVM 7.0.0 (clang-700.0.59.1)] 

QGIS version: 2.14.0-Essen Essen, exported

Python Path:

/Users/benjaminwarr/.qgis2/python/plugins/processing

/Users/benjaminwarr/.qgis2/python/plugins/LecoS

/Applications/QGIS.app/Contents/MacOS/../Resources/python

/Users/benjaminwarr/.qgis2/python

/Users/benjaminwarr/.qgis2/python/plugins

/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins

/Library/Frameworks/SQLite3.framework/Versions/C/Python/2.7

/Library/Frameworks/GEOS.framework/Versions/3/Python/2.7/site-packages

/Library/Python/2.7/site-packages/numpy-override

/Library/Python/2.7/site-packages/matplotlib-override

/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages

/Library/Frameworks/cairo.framework/Versions/1/Python/2.7

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python27.zip

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload

/Users/benjaminwarr/Library/Python/2.7/lib/python/site-packages

/usr/local/lib/python2.7/site-packages

/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC

/Library/Python/2.7/site-packages

/Library/Python/2.7/site-packages/PIL

/Users/benjaminwarr/.qgis2//python

/Users/benjaminwarr/.qgis2/python/plugins/mmqgis/forms

.

/Applications/QGIS.app/Contents/Resources/python/plugins/fTools/tools

/Users/benjaminwarr/Google Drive/Aggrigator [NEW]/08 Analysis/01 GIS/06 Inventory/01 Supply/01 by County

History

#1 - 2016-04-14 03:30 AM - Giovanni Manghi

- Subject changed from Unable to run Python code, pressing Browe causes error (MAcOS El Capitain, QGIS 2.14.0 Essen) to Unable to run Python 

code, pressing Browse causes error (MAcOS El Capitain, QGIS 2.14.0 Essen)

#2 - 2016-05-23 01:58 PM - Giovanni Manghi

- Priority changed from High to Normal

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-09-05 07:02 PM - Denis Rouzaud

- Status changed from Open to Feedback

- Description updated

still experiencing the issue?

I don't think this is a mac specific issue.

#5 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
